	.dbfile C:\iccv7arm\MI533D~1\MICROB~3\MicroBoltExtIntLevel.c
	AREA	"C$$code", CODE, READONLY
	EXPORT _main
	.dbfunc e main _main fV
	AREA	"C$$code", CODE, READONLY
	ALIGN 4
_main:
	.dbline -1
	.dbline 38
; /*
; |------------------------------------------------------------------------------------------
; |------------------------------------------------------------------------------------------
; | File Name			  : MicroBoltExtIntLevel.c																					
; | Author			    : Micromint, Inc.						
; | Copyright       : Copyright  2005, Micromint, Inc.																	
; | Creation Date		: 4/2/05																							
; | Version			    : 1.00																																												
; | Spaces per tab	:	2																									
; | Description		  : Main C file																																									 
; | Revision			  :	Initial																																																						
; |------------------------------------------------------------------------------------------
; |------------------------------------------------------------------------------------------
; */
; 
; /*
; |----------------------------------------------------
; |     Includes
; |----------------------------------------------------
; */
; 
; #include <ARM/philips/lpc210x.h>
; #include <arm_macros.h>
; 
; #include "MicroBoltExtIntLevel.h"
; 
; /*
; |------------------------------------------------------------------------------------------
; |     Function        :   main
; |     Inputs          :   None
; |     Outputs         :   None
; |     Purpose         :   Main function for system
; |     Author          :   Micromint, Inc.
; |------------------------------------------------------------------------------------------
; */
; 
; void main(void)
;   {
	.dbline 46
; 
; /*
; |----------------------------------------------------
; |     MicroBolt hardware setup 
; |----------------------------------------------------
; */
; 
;   __DISABLE_INTERRUPT();                        // Disable all interrupts
	mrs R12,cpsr
	orr R12,R12,#0x80
	msr cpsr_c,R12
	
	.dbline 48
; 
;   SCB_PLLCFG |= 0x23;				 	   		            // Turn on PLL, set to 59 MHz (0x03 is multiply value of 4)
	ldr R0,LIT_main+0
	ldr R1,[R0,#0]
	orr R1,R1,#35
	str R1,[R0,#0]
	.dbline 49
;   SCB_PLLCON |= 0x03;
	ldr R0,LIT_main+4
	ldr R1,[R0,#0]
	orr R1,R1,#3
	str R1,[R0,#0]
	.dbline 50
;   SCB_PLLFEED = 0xAA;					   	  	          // Shadow register copy for PLL
	mov R0,#170
	ldr R1,LIT_main+8
	str R0,[R1,#0]
	.dbline 51
;   SCB_PLLFEED = 0x55; 
	mov R0,#85
	ldr R1,LIT_main+8
	str R0,[R1,#0]
	.dbline 53
; 
;   PCB_PINSEL0=0x00000000;                       // JTAG is via secondary port
	mov R0,#0
	ldr R1,LIT_main+12
	str R0,[R1,#0]
	.dbline 54
;   PCB_PINSEL1=0x55400000;
	ldr R0,LIT_main+16
	ldr R1,LIT_main+20
	str R0,[R1,#0]
	.dbline 55
;   GPIO_IODIR=(0x00000000<<16)|
	mov R0,#0
	ldr R1,LIT_main+24
	str R0,[R1,#0]
	.dbline 58
; 	     0x00000000;
;  
;   GPIO_IOCLR=0xffffffff;
	mvn R0,#0
	ldr R1,LIT_main+28
	str R0,[R1,#0]
	.dbline 59
;   GPIO_IOSET=(0x00000000<<16)| 
	mov R0,#0
	ldr R1,LIT_main+32
	str R0,[R1,#0]
	.dbline 62
;             0x00000000;  
; 
;   GPIO_IODIR |= MICROBOLT_LED;                  // Setup MicroBolt LED as output
	ldr R0,LIT_main+24
	ldr R1,[R0,#0]
	orr R1,R1,#4194304
	str R1,[R0,#0]
	.dbline 64
; 
;   PCB_PINSEL0 |= P0_14_EXTERNAL_INTERRUPT_1;    // Setup P0.14 to alternate function EINT1
	ldr R0,LIT_main+12
	ldr R1,[R0,#0]
	orr R1,R1,#536870912
	str R1,[R0,#0]
	.dbline 66
; 
;   VICVectAddr0 = (unsigned)ExtInt1_ISR;         // Assign the EINT1 ISR function to VIC priority 0
	ldr R0,LIT_main+36
	ldr R1,LIT_main+40
	str R0,[R1,#0]
	.dbline 67
;   VICVectCntl0 = INTERRUPT_CHANNEL_FOR_EINT1;   // Assign the VIC channel EINT1 to interrupt priority 0
	mov R0,#47
	ldr R1,LIT_main+44
	str R0,[R1,#0]
	.dbline 69
; 
;   VICIntEnable |= INTERRUPT_ENABLE_FOR_EINT1;   // Enable the interrupt 
	ldr R0,LIT_main+48
	ldr R1,[R0,#0]
	orr R1,R1,#32768
	str R1,[R0,#0]
	.dbline 71
; 
;   __ENABLE_INTERRUPT();                         // Enable all interrupts
	mrs R12,cpsr
	bic R12,R12,#0x80
	msr cpsr_c,R12
	
	b L3
L2:
	.dbline 80
	.dbline 81
	mov R0,#4194304
	ldr R1,LIT_main+28
	str R0,[R1,#0]
	.dbline 82
L3:
	.dbline 79
	b L2
X0:
	.dbline -2
L1:
	mov R15,R14
	.dbline 0 ; func end
LIT_main:
	DCD -534790012
	DCD -534790016
	DCD -534790004
	DCD -536690688
	DCD 1430257664
	DCD -536690684
	DCD -536707064
	DCD -536707060
	DCD -536707068
	DCD _ExtInt1_ISR
	DCD -3840
	DCD -3584
	DCD -4080
	.dbend
	EXPORT _ExtInt1_ISR
	.dbfunc e ExtInt1_ISR _ExtInt1_ISR fV
	AREA	"C$$code", CODE, READONLY
	ALIGN 4
_ExtInt1_ISR:
	sub R14,R14,#4
	stmfd R13!,{R0,R1,R11,R12,R14}
	mov R11,R13
	.dbline -1
	.dbline 93
; 
; /*
; |----------------------------------------------------
; |     Start of application
; |----------------------------------------------------
; */
; 
;   while(1)                                      // Do this forever
;     {
;     GPIO_IOCLR = MICROBOLT_LED;                 // MicroBolt LED Off             
;     }
;   }
; 
; /*
; |----------------------------------------------------
; |     External Interrupt-1 Interrupt Service Routine
; |----------------------------------------------------
; */
; #pragma interrupt_handler ExtInt1_ISR
; 
; void ExtInt1_ISR(void)                          // Come here whenever there is a low level on EINT1
;   {  
	.dbline 94
;   GPIO_IOSET = MICROBOLT_LED;                   // MicroBolt LED On 
	mov R0,#4194304
	ldr R1,LIT_ExtInt1_ISR+0
	str R0,[R1,#0]
	.dbline 95
;   SCB_EXTINT |= EXTINT_CLR;                     // Clear interrupt
	ldr R0,LIT_ExtInt1_ISR+4
	ldr R1,[R0,#0]
	orr R1,R1,#2
	str R1,[R0,#0]
	.dbline 97
; 
;   VICVectAddr = VIC_ACK;                        // Acknowledge Interrupt
	mov R0,#0
	ldr R1,LIT_ExtInt1_ISR+8
	str R0,[R1,#0]
	.dbline -2
L5:
	ldmfd R13!,{R0,R1,R11,R12,PC}^
	.dbline 0 ; func end
LIT_ExtInt1_ISR:
	DCD -536707068
	DCD -534789824
	DCD -4048
	.dbend
	END
